# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor.pm) perl(DBD/Mock.pm) perl(DBD/Pg.pm) perl(DBI.pm) perl(DateTime.pm) perl(DateTime/Format/Strptime.pm) perl(File/Spec.pm) perl(JSON/XS.pm) perl(List/MoreUtils.pm) perl(Module/Build/Tiny.pm) perl(Perl6/Slurp.pm) perl(Test/Exception.pm) perl(Test/MockObject.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.009
%define module_name Pgtools
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.009
Release: alt1
Summary: It's a yet another command-line tool for PostgreSQL operation. 
Group: Development/Perl
License: perl
URL: https://github.com/tom--bo/Pgtools

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOMBO/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Pgtools is composed of 3 commands which is pg_kill, pg_config_diff, pg_fingerprint.

- pg_kill shows the specified queries during execution by regular expression and other options. And also kill these specifid queries by -kill option.
- pg_config_diff command needs more than 2 argument which is string to specify the PostgreSQL databases.
- pg_fingerprint command converts the values into a placeholders.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_privlib/P*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sun Jul 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.009-alt1
- initial import by package builder

